Entrar

Template v2: Actualizar

PUT https://{organization}.myguper.com/api/sender/template-v2

Actualiza un template existente. Mismo schema que create más un id obligatorio.

Try-it values populated from environment ACME (Demo)


Autenticación

Token

Send your user token in the x-guper-authorization header.

Encabezados

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Cuerpo de la petición

Content-Type: application/json

{
    "id": 44,
    "provider": 5,
    "name": "Order confirmed — pt-BR",
    "key": "order-confirmed-ptbr",                              // optional
    "subject": "<subject>",                                     // optional
    "body": "<body>",
    "text": "<text>",                                           // optional
    "extend": "<extend>",                                       // optional
    "trigger_slug": "order.confirmed",
    "language": "pt-BR",                                        // optional
    "variables": "<variables>",                                 // optional
    "meta": "<meta>",                                           // optional
    "badges": "<badges>",                                       // optional
    "tier": 0,                                                  // optional
    "is_active": true                                           // optional
}

Respuestas

Copied to clipboard